#ifndef DIALOGPOWERBUTTON_H
#define DIALOGPOWERBUTTON_H

#include <QDialog>

namespace Ui {
class DialogPowerButton;
}

class DialogPowerButton : public QDialog
{
    Q_OBJECT

public:
    explicit DialogPowerButton(QWidget *parent = 0);
    ~DialogPowerButton();

    virtual void keyReleaseEvent(QKeyEvent *event);

private slots:
    void on_pushButton_cancel_clicked();

    void on_pushButton_shutdown_clicked();

    void on_pushButton_restart_clicked();

signals:
    void SendCaptureFootSwitch();


protected:
    virtual void paintEvent(QPaintEvent *event);

private:
    Ui::DialogPowerButton *ui;
};

#endif // DIALOGPOWERBUTTON_H
